{% extends 'admin/base.html.twig' %}

{% block css %}
    <link rel="stylesheet" href="{{ asset('css/admin/products/styles.css') }}"/>
    <link rel="stylesheet" href="{{ asset('css/admin/products/media.css') }}"/>
{% endblock %}

{% block jsscript %}
    <script src="{{ asset('js/admin/products/products.js') }}"></script>
{% endblock %}

{% block content %}
    <div class="title-block">
        <h2>Продукты</h2>
        <p>Список продуктов сайта</p>
    </div>
    <div class="block-box">
        <div class="block-title">
            <p><span><i class="fas fa-pencil-alt"></i></span> Display Filter</p>
        </div>
        <div class="block-content">
            <div class="products-filter-block">
                <form>
                    <div class="row">
                        <div class="col-lg-3">
                            <label>Департмент: </label>
                            <select class="selector-departments">
                                {% for department in departments %}
                                    <option value="{{ department.id }}" {% if department.selected == true %} selected {% endif %}> {{ department.name }}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="col-lg-3">
                            <label>Категория: </label>
                            <select class="selector-categories">
                                <option value="0">Все категории</option>
                                {% for category in categories %}
                                    <option value="{{ category.id }}" {% if category.selected == true %} selected {% endif %}> {{ category.name }}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="col-lg-2">
                            <a href="/admin/products/?departmentId={{ selectedDepartment.id }}" class="btn-action btn-search btn-show-products"><i class="fas fa-search"></i> Показать</a>
                            <a href="/admin/products/create/?departmentId={{ selectedDepartment.id }}" class="btn-action btn-add btn-create-product"><i class="fas fa-plus"></i> Создать</a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="products-list-block">
        <table class="table table-striped table-bordered">
            <thead>
            <tr>
                <th style="width: 5%">ID</th>
                <th style="width: 60%">Продукт</th>
                <th style="width: 10%">Статус</th>
                <th style="width: 10%; text-align: center">Действие</th>
            </tr>
            </thead>
            <tbody>
            {% for product in products %}
                <tr>
                    <td>{{ product.id }}</td>
                    <td><a href="{{ path('admin_products_edit') }}?departmentId={{ product.departmentId }}&productId={{ product.id }}">{{ product.title }}</a></td>
                    <td>{{ product.status }}</td>
                    <td style="text-align: center">
                        <a href="{{ path('admin_products_edit') }}?departmentId={{ product.departmentId }}&productId={{ product.id }}"><span class="i-edit"><i class="fas fa-pencil-alt"></i></span></a>
                        <a href="" class="btn-delete-product" data-product-id="{{ product.id }}" data-department-id="{{ product.departmentId }}"><span class="i-delete"><i class="fas fa-trash-alt"></i></span></a>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}